/**
 * ActClassContract.java
 *
 * File generated from the medication::ActClassContract uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassContract.
 *
 * 
 */

@XmlType(name = "ActClassContract")
@XmlEnum
@XmlRootElement(name = "ActClassContract")
public enum ActClassContract {
	@XmlEnumValue("CNTRCT")
	CNTRCT("CNTRCT"),
	@XmlEnumValue("FCNTRCT")
	FCNTRCT("FCNTRCT"),
	@XmlEnumValue("COV")
	COV("COV");
	
	private final String value;

    ActClassContract(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassContract fromValue(String v) {
        for (ActClassContract c: ActClassContract.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}